# $Revision: 1.20 $, $Date: 2010/06/06 08:35:15 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Digest
%define		pnam	Elf
Summary:	Digest::Elf - implementation of the ElfHash algorithm
Summary(pl.UTF-8):	Digest::Elf - implementacja algorytmu ElfHash
Name:		perl-Digest-Elf
Version:	1.4
Release:	3
License:	unknown
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Digest/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	59e6737aae2f9efd1a8af8bc8655f575
URL:		http://search.cpan.org/dist/Digest-Elf/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Digest::Elf Perl module provides an implimentation of the ElfHash
algorithm.  ElfHash generates resonably unique values from a string in
a reasonably short period of time.  The actual algorith is culled from
a Dr. Dobbs Journal article, they culled it probably from the source
for the GNU C complier.

%description -l pl.UTF-8
Moduł Perla Digest::Elf jest implementacją algorytmu ElfHash. Algorytm
ten generuje w miarę unikalne wartości dla łańcuchów znaków w
przyzwoitym czasie. Właściwy algorytm jest ściągnięty z artykułu z Dr.
Dobbs Journal, gdzie został ściągnięty prawdopodobnie ze źródeł
kompilatora C z GNU.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/Digest/Elf.pm
%dir %{perl_vendorarch}/auto/Digest/Elf
%{perl_vendorarch}/auto/Digest/Elf/Elf.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Digest/Elf/Elf.so
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Digest-Elf.spec,v $
Revision 1.20  2010/06/06 08:35:15  arekm
- release 3

Revision 1.19  2008/03/23 21:47:19  qboosh
- generic URL

Revision 1.18  2008-02-10 12:08:19  arekm
- rel 2

Revision 1.17  2008-01-10 08:38:37  glen
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

Revision 1.16  2007-02-13 07:16:54  glen
- tabs in preamble

Revision 1.15  2007/02/12 00:49:29  baggins
- converted to UTF-8

Revision 1.14  2004/11/03 22:30:19  paladine
- formatting

Revision 1.13  2004/06/05 18:10:38  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.12  2004/05/06 18:09:32  ankry
- fixed perl-devel BR

Revision 1.11  2004/05/05 11:01:47  ankry
- tests added, cosmetics

Revision 1.10  2004/04/20 06:55:52  ankry
- better summary/description, license fixes and unification

Revision 1.9  2004/04/14 14:37:50  ankry
- cosmetics

Revision 1.8  2003/09/15 09:42:16  adamg
- updated to 1.4

Revision 1.7  2003/08/18 08:08:43  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.6  2003/05/28 13:00:36  malekith
- massive attack: source-md5

Revision 1.5  2003/05/25 06:24:34  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.4  2003/03/01 18:05:42  radek
- should be ready for perl-5.8.0; release++

Revision 1.3  2003/02/25 00:38:33  radek
- use the __perl macro

Revision 1.2  2003/02/18 15:31:45  ankry
- massive attack: change CPAN URLs

Revision 1.1  2002/07/21 21:51:13  qboosh
- new
